<?php

if (! defined('ABSPATH')) {
    exit;
}

class tecdocWooShortcode
{
    /**
     * Sets up the shortcode
     */
    public function __construct()
    {
        add_shortcode('tecdoc-woo', array($this, 'render_main_widget'));
        add_shortcode('tecdoc-woo-chosen-vehicle', array($this, 'render_chosen_vehicle'));
        add_shortcode('tecdoc-woo-search-form', array($this, 'render_search_form'));
    }

	/**
	 * Outputs the content of the widget
	 *
	 * @return string
	 */
    public function render_main_widget()
    {
    	if (!(is_home() || is_front_page() || is_shop() || is_product_category() || is_singular('product'))) {
    		return '';
	    }

        if (file_exists(plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-public-display.php')) {
            include plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-public-display.php';
        } else {
            trigger_error("File tecdoc-woo-public-display.php doesn't exist");
        }
    }

    public function render_chosen_vehicle()
    {
        if (file_exists(plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-vehicle-display.php')) {
            include plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-vehicle-display.php';
        } else {
            trigger_error("File tecdoc-woo-vehicle-display.php doesn't exist");
        }
    }

    public function render_search_form()
    {
        if (file_exists(plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-search-form.php')) {
            include plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-search-form.php';
        } else {
            trigger_error("File tecdoc-woo-search-form.php doesn't exist");
        }
    }
}
