<?php
/**
 * Mijenjamo search query.
 */
add_action('pre_get_posts', function (WP_Query $query) {

	if (!is_admin() && $query->is_main_query() && $query->is_search) {
		$searchQuery = get_search_query();
		$query->set('post_type', 'product');

		if (strlen($searchQuery) >= 4) {
			$tecdoc = ep_tecdoc_service();
			$articleKeys = $tecdoc->searchArticlesByNumber($searchQuery);
			
			if (count($articleKeys) > 0) {
                if (class_exists(\Ep\Gath\Gath::class)) {
                    $query->set('tecdoc_keys', $articleKeys);
                } else {
                    $query->set('s', '');
                    $query->set('meta_query', [
                        [
                            'key'     => '_tecdoc_key',
                            'value'   => $articleKeys,
                            'compare' => 'IN',
                        ]
                    ]);
                }
			} else {
				$query->set('ID', -1);
			}
		}
	}
});